<?php
class HeadLineArticle extends plxPlugin {
 
    public function __construct($default_lang){
    # Appel du constructeur de la classe plxPlugin (obligatoire)
    parent::__construct($default_lang);
    
    # Pour accéder à une page de configuration
    $this->setConfigProfil(PROFIL_ADMIN,PROFIL_MANAGER);
    # Déclaration des hooks
    $this->addHook('ThemeEndHead', 'ThemeEndHead');
    $this->addHook('ThemeEndBody', 'ThemeEndBody');
    $this->addHook('HeadLineArticle', 'HeadLineArticle'); //hook pour l'affichage manuel
    } 
    
    public function ThemeEndHead() { ?>
    
        <link rel="stylesheet" href="<?php echo PLX_PLUGINS ?>HeadLineArticle/app/style.min.css">


     <?php
    }
    
    public function HeadLineArticle() {

    $nba = $this->getParam('articles');    

    global $plxShow; ?>
      
     <section class="HeadLineArticle">

            <ul class="fade">
                <?php $plxShow->lastArtList('<li><a href="#art_url" title="#art_title">#art_title</a></li>', $nba) ?>
            </ul>

     
     </section>  

     <?php 

    }

    public function ThemeEndBody(){ 

    $script = $this->getParam('script');

        if ($script == 'true') {echo'<script src="http://code.jquery.com/jquery-2.1.3.min.js"></script>';}?>

    <script src="<?php echo PLX_PLUGINS ?>HeadLineArticle/app/app.js"></script>   

    <script>
    $(document).ready(function() {
        $('.fade').inewsticker({
            speed       : 3000,
            effect      : 'fade',
            dir         : 'ltr',
            delay_after : 1000      
        });
    }); 
    </script>
 
    <?php }
      
} // class HeadLineArticle
?>